Package org.a2aproject.sdk.spec
Record Class GetTaskPushNotificationConfigParams
java.lang.Object
java.lang.Record
org.a2aproject.sdk.spec.GetTaskPushNotificationConfigParams
- Record Components:
taskId- the task identifier (required)id- optional specific configuration ID to retrievetenant- optional tenant, provided as a path parameter.
public record GetTaskPushNotificationConfigParams(String taskId, String id, @Nullable String tenant)
extends Record
Parameters for retrieving push notification configuration for a specific task.
This record specifies which task's push notification configuration to retrieve, with an optional filter by configuration ID if multiple configurations exist for the task.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classBuilder for constructing GetTaskPushNotificationConfigParams instances. -
Constructor Summary
ConstructorsConstructorDescriptionGetTaskPushNotificationConfigParams(String taskId, String id) Convenience constructor for creating parameters without tenant.GetTaskPushNotificationConfigParams(String taskId, String id, @Nullable String tenant) Compact constructor that validates required fields. -
Method Summary
Modifier and TypeMethodDescriptionbuilder()Create a new Builderfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.id()Returns the value of theidrecord component.taskId()Returns the value of thetaskIdrecord component.@Nullable Stringtenant()Returns the value of thetenantrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
GetTaskPushNotificationConfigParams
Compact constructor that validates required fields.- Parameters:
taskId- the taskId parameter (see class-level JavaDoc)id- the id parameter (see class-level JavaDoc)tenant- the tenant parameter (see class-level JavaDoc)- Throws:
IllegalArgumentException- if taskId or tenant is null
-
GetTaskPushNotificationConfigParams
Convenience constructor for creating parameters without tenant.- Parameters:
taskId- the task identifier (required)id- optional configuration ID to retrieve
-
-
Method Details
-
builder
Create a new Builder- Returns:
- the builder
-
toString
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components. -
hashCode
public final int hashCode()Returns a hash code value for this object. The value is derived from the hash code of each of the record components. -
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
taskId
Returns the value of thetaskIdrecord component.- Returns:
- the value of the
taskIdrecord component
-
id
Returns the value of theidrecord component.- Returns:
- the value of the
idrecord component
-
tenant
Returns the value of thetenantrecord component.- Returns:
- the value of the
tenantrecord component
-